/* (C) 2022 YiRing, Inc. */
package com.yiring.common.config;

import java.util.Locale;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.LocaleResolver;
import org.springframework.web.servlet.i18n.AcceptHeaderLocaleResolver;

/**
 * 国际化配置
 *
 * @author Jim
 * @version 0.1
 * 2022/8/17 10:33
 */

@Configuration
public class I18nConfig {

    @Bean
    public LocaleResolver localeResolver() {
        // header accept-language
        AcceptHeaderLocaleResolver resolver = new AcceptHeaderLocaleResolver();
        resolver.setDefaultLocale(Locale.SIMPLIFIED_CHINESE);
        return resolver;
    }
}
